[arch-commits] Commit in xorg-server/repos/testing-x86_64 (2 files)

Allan McRae allan at archlinux.org
Mon Aug 18 02:30:51 EDT 2008


    Date: Monday, August 18, 2008 @ 02:30:48
  Author: allan
Revision: 9632

ncurses rebuild

Modified:
  xorg-server/repos/testing-x86_64/PKGBUILD
Deleted:
  xorg-server/repos/testing-x86_64/xorg-redhat-die-ugly-pattern-die-die-die.patch

------------------------------------------------+
 PKGBUILD                                       |   74 +++++++++++++----------
 xorg-redhat-die-ugly-pattern-die-die-die.patch |   16 ----
 2 files changed, 42 insertions(+), 48 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-18 06:28:15 UTC (rev 9631)
+++ PKGBUILD	2008-08-18 06:30:48 UTC (rev 9632)
@@ -3,33 +3,43 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=xorg-server
-pkgver=1.4.99.906
+pkgver=1.4.2
 pkgrel=1
+_mesaver=7.0.3
 pkgdesc="X.Org X servers"
 arch=('i686' 'x86_64')
 license=('custom')
 url="http://xorg.freedesktop.org"
-depends=('libx11>=1.1.4-3' 'libxkbui>=1.0.2' 'libgl' 'libxfont>=1.3.3' 'openssl>=0.9.8h' 'libxxf86misc>=1.0.1' 'libpciaccess>=0.10.3' 'libxv>=1.0.4' 'libxaw>=1.0.4' 'pixman>=0.11.8' 'hal>=0.5.11' 'xcursor-themes' 'xkeyboard-config>=1.3' 'xorg-server-utils' 'xorg-utils' 'xorg-fonts-misc' 'xbitmaps' 'libdrm>=2.4.0')
-makedepends=('glproto>=1.4.9' 'xf86driproto>=2.0.4' 'mesa>=7.1rc4' 'randrproto>=1.2.2' 'renderproto>=0.9.3' 'scrnsaverproto>=1.1.0' 'resourceproto>=1.0.2' 'fontsproto>=2.0.2' 'videoproto>=2.2.2' 'compositeproto>=0.4' 'trapproto>=3.4.3' 'resourceproto>=1.0.2' 'xineramaproto>=1.1.2' 'evieext>=1.0.2' 'libxkbfile>=1.0.5' 'libxmu>=1.0.4' 'libxpm>=3.5.7' 'libxxf86dga>=1.0.2')
+depends=('libxkbui' 'ncurses' 'libxxf86misc' 'libxfont'
+         'libxaw' 'libxxf86vm' 'xcursor-themes'
+	 'xkeyboard-config' 'xorg-server-utils' 'xorg-utils' 'libdrm>=2.3.0'
+	 'xorg-fonts-misc' 'pixman>=0.10' 'xbitmaps')
+makedepends=('pkgconfig' 'xf86driproto' 'xcmiscproto' 'xtrans' 'bigreqsproto'
+             'xf86bigfontproto' 'resourceproto' 'evieext' 'damageproto>=1.1.0'
+	     'compositeproto>=0.4' 'scrnsaverproto' 'libxres' 'xorg-util-macros'
+	     'randrproto' 'glproto>=1.4.9' 'renderproto>=0.9.3' 'autoconf'
+	     'automake' 'libtool' 'bison' 'flex' 'gcc' 'libxrender'
+	     'libxfixes' 'quilt' 'mesa')
 options=('!libtool')
 provides=('x-server')
 groups=('xorg')
 install=xorg-server.install
 source=(${url}/releases/individual/xserver/${pkgname}-${pkgver}.tar.bz2
-	xorg-redhat-die-ugly-pattern-die-die-die.patch)
-md5sums=('d225476fea6721d9f64c3268e47d6c51'
-         '1a336eb22e27cbf443ec5a2ecddfa93c')
+	http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${_mesaver}.tar.bz2
+	ftp://ftp.archlinux.org/other/xorg-server/xorg-server-patches-1.4.2-1.tar.bz2)
+md5sums=('fa2915ae377f61c340a18ebef484b64b'
+         'e6e6379d7793af40a6bc3ce1bace572e'
+         'bc907d6d69b55b445c3046a4d7ecc8ef')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-
-  # Get rid of the ugly pattern
-  patch -Np3 -i ${srcdir}/xorg-redhat-die-ugly-pattern-die-die-die.patch || return 1
-
-  # Fix dbus config path
-  sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.*  || return 1
-
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  quilt push -a || return 1
+  libtoolize --force --copy || return 1
+  aclocal || return 1
+  autoconf || return 1
+  automake --add-missing || return 1
   ./configure --prefix=/usr \
+              --with-mesa-source=${startdir}/src/Mesa-${_mesaver} \
               --enable-ipv6 \
               --enable-dri \
               --disable-dmx \
@@ -44,39 +54,39 @@
               --enable-glx-tls \
               --enable-xorgcfg \
 	      --enable-kdrive \
-              --enable-install-setuid \
-              --enable-config-hal \
-	      --enable-config-dbus \
 	      --disable-xfbdev \
 	      --disable-xfake \
 	      --disable-xsdl \
 	      --disable-kdrive-vesa \
-	      --disable-dri2 \
+              --enable-install-setuid \
               --disable-xprint \
-              --disable-static \
               --sysconfdir=/etc/X11 \
               --localstatedir=/var \
               --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
+              --with-rgb-path=/usr/share/X11/rgb \
               --with-xkb-path=/usr/share/X11/xkb \
-              --with-xkb-output=/var/lib/xkb \
-              --with-dri-driver-path=/usr/lib/xorg/modules/dri || return 1
+              --with-xkb-output=/usr/share/X11/xkb/compiled \
+              --with-dri-driver-path=/usr/lib/xorg/modules/dri \
+              --disable-config-hal \
+              --disable-static
 
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
 
-  rm -rf ${pkgdir}/var/log || return 1
+  install -m755 -d ${startdir}/pkg/etc/X11 || return 1
+  install -m755 -d ${startdir}/pkg/var/lib || return 1
+  mv ${startdir}/pkg/usr/share/X11/xkb/compiled ${startdir}/pkg/var/lib/xkb
+  ln -sf /var/lib/xkb ${startdir}/pkg/usr/share/X11/xkb/compiled || return 1
 
-  install -m755 -d ${pkgdir}/etc/X11 || return 1
-  install -m755 -d ${pkgdir}/var/lib/xkb || return 1
+  cd ${startdir}/pkg/usr/lib/xorg/modules/extensions
+  mv libGLcore.so libGLcore.xorg
+  mv libglx.so libglx.xorg
 
   # No longer needed, but as nvidia-utils mangles these files,
   # keep them like this so they can be restored
-  mv ${pkgdir}/usr/lib/xorg/modules/libwfb.so \
-     ${pkgdir}/usr/lib/xorg/modules/libwfb.so.1.4 || return 1
+  mv ${startdir}/pkg/usr/lib/xorg/modules/libwfb.so \
+     ${startdir}/pkg/usr/lib/xorg/modules/libwfb.so.1.4 || return 1
 
-  # Needed for non-mesa drivers, libgl will restore it
-  mv ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg
-
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
 }

Deleted: xorg-redhat-die-ugly-pattern-die-die-die.patch
===================================================================
--- xorg-redhat-die-ugly-pattern-die-die-die.patch	2008-08-18 06:28:15 UTC (rev 9631)
+++ xorg-redhat-die-ugly-pattern-die-die-die.patch	2008-08-18 06:30:48 UTC (rev 9632)
@@ -1,16 +0,0 @@
-Remove the default root window grey stipple pattern, replacing it with
-blackness.
-
---- xc/programs/Xserver/dix/window.c.die-ugly-pattern-die-die-die	Tue Feb 12 16:33:04 2002
-+++ xc/programs/Xserver/dix/window.c	Tue Feb 12 16:45:32 2002
-@@ -119,8 +119,8 @@
-  *
-  ******/
- 
--static unsigned char _back_lsb[4] = {0x88, 0x22, 0x44, 0x11};
--static unsigned char _back_msb[4] = {0x11, 0x44, 0x22, 0x88};
-+static unsigned char _back_lsb[4] = {0x00, 0x00, 0x00, 0x00};
-+static unsigned char _back_msb[4] = {0x00, 0x00, 0x00, 0x00};
- 
- int screenIsSaved = SCREEN_SAVER_OFF;
- 




More information about the arch-commits mailing list